function love.load()
love.graphics.setMode(400, 600, false, true, 0)
love.graphics.setBackgroundColor(0, 0, 0)
health = 100
player = {
	x = 168,
	y = 512,
	image = love.graphics.newImage("player.png")
	}
background1 = {
	x = 0,
	y = 0,
	image = love.graphics.newImage("background.png")
	}
background2 = {
	x = 0,
	y = -600,
	image = love.graphics.newImage("background.png")
	}
healthbar = {
	x = 12,
	y = 380
	}
bullet = {
	image = love.graphics.newImage("bullet.png"),
	x = 0,
	y = 0
	}
enemy1 = {
	image = love.graphics.newImage("enemy1.png"),
	x = 0,
	y = -32
	}
end


function love.draw()
love.graphics.draw(background2.image, background2.x, background2.y)
love.graphics.draw(background1.image, background1.x, background1.y)
love.graphics.draw(player.image, player.x, player.y)
love.graphics.setColorMode("modulate")
love.graphics.setColor(15, 52, 4, 200)
love.graphics.rectangle("fill", 4, 575, ((380 * health)/100), 20 )
love.graphics.setColorMode("replace")
love.graphics.setColorMode("modulate")
love.graphics.setColor(10, 150, 5, 255)
love.graphics.printf(math.ceil(health ), 4, 590, 2, "left") 
love.graphics.setColorMode("replace")
	if shoot == true then
		love.graphics.draw(bullet.image, bullet.x, bullet.y)
	end
end

function love.update(dt)
	if love.keyboard.isDown("left") then
		if player.x > 4 then
		player.x = player.x - 1
		end
	end
	
	if love.keyboard.isDown("right") then
		if player.x < 332 then
		player.x = player.x + 1
		end
	end
	
	if love.keyboard.isDown("up") then
		if player.y > 450 then
		player.y = player.y - 1
		elseif player.y > 350 then
		player.y = player.y - 0.8
		elseif player.y > 250 then
		player.y = player.y - 0.6
		elseif player.y > 150 then
		player.y = player.y - 0.4
		elseif player.y > 50 then
		player.y = player.y - 0.2
		else
		player.y = player.y - 0
		end
	end
	
	if love.keyboard.isDown(" ") then
		shoot = true
		local randnum = math.random(-8, 8)
		bullet.x = player.x + (28 + randnum)
		bullet.y = player.y 
	end
	
	bullet.y = bullet.y - 3
	
	
	if love.keyboard.isDown("down") then
		if player.y <= 512 then 
		player.y = player.y + 0.6
		end
	end
	
	if player.y <= 512 then
	player.y = player.y + 0.2
	end
	
	background1.y = background1.y + 0.5
	background2.y = background2.y + 0.5
	
	if background1.y == 600 then
		background1.y = -600
	end
	if background2.y == 600 then
		background2.y = -600
	end


end